# Generator Bedrock [![Build Status](https://secure.travis-ci.org/paramburu/generator-bedrock.png?branch=master)](https://travis-ci.org/paramburu/generator-bedrock) [![Dependency Status](https://david-dm.org/paramburu/generator-bedrock.png)](https://david-dm.org/paramburu/generator-bedrock)[![devDependency Status](https://david-dm.org/paramburu/generator-bedrock/dev-status.png)](https://david-dm.org/paramburu/generator-bedrock#info=devDependencies)

[Yeoman](http://yeoman.io) generator that scaffolds out a bunch of useful stuff. If you like it but consider that the defaults aren't useful please [let me know](issues).


## Features

* [libsass](https://github.com/sindresorhus/grunt-sass)
* [Zurb Foundation](https://github.com/zurb/bower-foundation) or [Bootstrap Sass](https://github.com/twbs/bootstrap-sass) (*See note below*)
* [Font-Awesome](https://github.com/FortAwesome/Font-Awesome)
* [grunt-contrib-watch](https://github.com/gruntjs/grunt-contrib-watch) with [connect-livereload](https://github.com/intesso/connect-livereload)
* Publishing to github pages with [grunt-gh-pages](https://github.com/tschaub/grunt-gh-pages)
* [grunt-uncss](https://github.com/addyosmani/grunt-uncss): Remove unused CSS (with limitations).
* And more...

_**Note:** Bootstrap-sass is not currently compiling with node-sass's version of libsass (https://github.com/andrew/node-sass/issues/233#issuecomment-33733119). Should be working when the binaries get updated._


## Getting Started

### The Generator

To install generator-bedrock from npm, run:

```
$ npm install -g generator-bedrock
```

Finally, initiate the generator:

```
$ yo bedrock
```


### While developing...

To run a local web server with livereload and other development tools:

```
$ grunt serve
```


### While deploying...

You can build your project into the `dist/` folder with:

```
$ grunt build
```

Or you can build your project and run it through a local web server (*no* livereload).

```
$ grunt serve:build
```


### To build & publish with grunt-gh-pages

If you want to build your project and publish it run:

```
$ grunt publish
```


### Getting To Know Yeoman

Yeoman has a heart of gold. He's a person with feelings and opinions, but he's very easy to work with. If you think he's too opinionated, he can be easily convinced.

If you'd like to get to know Yeoman better and meet some of his friends, [Grunt](http://gruntjs.com) and [Bower](http://bower.io), check out the complete [Getting Started Guide](https://github.com/yeoman/yeoman/wiki/Getting-Started).


## License

[MIT](LICENSE-MIT)
